Package com.orbbec.obsensor

## Class VideoFrame

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Frame
    - - com.orbbec.obsensor.VideoFrame

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

Direct Known Subclasses:
  `ColorFrame`, `DepthFrame`, `IRFrame`, `RawPhaseFrame`

    public class VideoFrame
    extends Frame

Base class for ColorFrame, DepthFrame, IRFrame

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeight()` Get the width of the data frame
`int` `getPixelAvailableBitSize()` Get the effective number of pixels (such as Y16 format frame, but only the lower 10 bits are valid bits, and the upper 6 bits are filled with 0) Only valid for Y8/Y10/Y11/Y12/Y14/Y16 format
`int` `getWidth()` Get the height of the data frame

### Methods inherited from class com.orbbec.obsensor.Frame

`as, close, getData, getData, getDataSize, getDirectBuffer, getFormat, getFrameIndex, getMetadata, getMetadataSize, getStreamType, getSystemTimeStamp, getTimeStamp, getTimeStampUs`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getWidth

    public int getWidth()

Get the height of the data frame

Returns:
  height of the data frame

#### getHeight

    public int getHeight()

Get the width of the data frame

Returns:
  width of the data frame

#### getPixelAvailableBitSize

    public int getPixelAvailableBitSize()

Get the effective number of pixels (such as Y16 format frame, but only the lower 10 bits are valid bits, and the upper 6 bits are filled with 0) Only valid for Y8/Y10/Y11/Y12/Y14/Y16 format

Returns:
  Returns the effective number of pixels in pixels, or 0 if it is an unsupported format